Bug 498186 - Review Request: perl-JavaScript-Beautifier - beautifier for javascript
Review Request: perl-JavaScript-Beautifier - beautifier for javascript
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 07:32 EDT by Marcela Mašláňová
Modified: 2009-05-04 03:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 03:27:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Parag AN(पराग) 2009-04-30 00:20:36 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1329653
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
327dfecd8ad2d5cb69cbf5bd14774c31  JavaScript-Beautifier-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
 Files=3, Tests=64,  0 wallclock secs ( 0.06 usr  0.02 sys +  0.24 cusr  0.03 csys =  0.35 CPU)
+ Package perl-JavaScript-Beautifier-0.04-1.fc12.noarch =>
  Provides: perl(JavaScript::Beautifier) = 0.04
  Requires: perl(base) perl(strict) perl(vars) perl(warnings)

APPROVED.
Comment 2 Marcela Mašláňová 2009-04-30 01:52:26 EDT
New Package CVS Request
=======================
Package Name: perl-JavaScript-Beautifier
Short Description: beautifier for javascript
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig
Comment 3 Dennis Gilmore 2009-05-01 16:59:34 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.